Bug 78368 - New port: databases/pear-MDB_QueryTool PEAR OO-interface for easily retrieving and modifying data in a DB
Summary: New port: databases/pear-MDB_QueryTool PEAR OO-interface for easily retrievin...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-03 17:30 UTC by Antonio Carlos Venancio Junior
Modified: 2005-03-07 20:32 UTC (History)
0 users

See Also:


Attachments
file.shar (3.37 KB, text/plain)
2005-03-03 17:30 UTC, Antonio Carlos Venancio Junior
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Carlos Venancio Junior 2005-03-03 17:30:15 UTC
New port: databases/pear-MDB_QueryTool PEAR OO-interface for easily retrieving and modifying data in a DB

PEAR::MDB_QueryTool is an OO-abstraction to the SQL-Query language, it provides
methods such as setWhere, setOrder, setGroup, setJoin, etc. to easily build
queries.

It also provides an easy to learn interface that interacts nicely with
HTML-forms using arrays that contain the column data, that shall be
updated/added in a DB. This package bases on an SQL-Builder which lets you
easily build SQL-Statements and execute them.

NB: this is a PEAR::MDB porting from the original DB_QueryTool written by
Wolfram Kriesing and Paolo Panto (vision:produktion, wk@visionp.de).
Comment 1 Thierry Thomas freebsd_committer 2005-03-04 21:25:41 UTC
State Changed
From-To: open->feedback


If you set CATEGORY to DB, it will conflict with the newly 
added pear-DB_QueryTool: I think that it should be set to 
MDB. 

Could you please check it again? 



Comment 2 Thierry Thomas freebsd_committer 2005-03-04 21:25:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


I'll handle that.
Comment 3 Thierry Thomas freebsd_committer 2005-03-07 20:31:35 UTC
State Changed
From-To: feedback->closed


New port added, thanks!